Subject: bug#30185: [PATCH] [core-updates] Put locales where libc will find them

From: Gábor Boskovits <[email-masked]>
Date: Sat, 20 Jan 2018 22:45:28 +0100

I remember having a similar issue, and a patch was included to look for
locales in version major+minor instead of the whole version string.
This was tacked at: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29537
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29537>

I think this might be relevant to this.

2018-01-20 22:22 GMT+01:00 Mark H Weaver <[email-masked]>:

> On my mips64el-linux GuixSD system, now updated to something close to
> core-updates (but with binutils-2.25.1), guile prints this warning:
>
>   guile: warning: failed to install locale
>
> and 'locale' prints:
>
>   mhw@yeeloong ~$ locale
>   locale: Cannot set LC_CTYPE to default locale: No such file or directory
>   locale: Cannot set LC_MESSAGES to default locale: No such file or
> directory
>   locale: Cannot set LC_ALL to default locale: No such file or directory
>   LANG=en_US.utf8
>   LC_CTYPE="en_US.utf8"
>   LC_NUMERIC="en_US.utf8"
>   [...]
>
> strace shows attempts to open files in /run/current-system/locale/2.26,
> which was not included in my built system.  Instead I have:
>
>   /run/current-system/locale/2.26.105-g0890d5379c
>
> This matches the version field of our 'glibc' package in core-updates,
> but it's not where libc is looking.
>
> I've attached a patch that fixes the problem for me.
> What do you think?
>
>       Mark
>
>